//
//  FYCNetworkService.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/7/28.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FYCNetworkDefine.h"

@interface FYCNetworkService : NSObject

+ (instancetype)sharedInstance;

/// post、get请求表单格式
- (void)fy_requestWithURL:(NSString *)urlStr
            requestMethod:(FYCNetworkRequestMethod)requestMethod
               modelClass:(Class)modelClass
               paramBlock:(id (^)(void))parameters
                  success:(FYCNetworkRequestSuccess)success
                     fail:(FYCNetworkRequestFail)fail;

/// post请求Json格式
- (void)fy_postJsonWithURL:(NSString *)urlStr
                modelClass:(Class)modelClass
                paramBlock:(id (^)(void))parameters
                   success:(FYCNetworkRequestSuccess)success
                      fail:(FYCNetworkRequestFail)fail;

@end
